# A generalization of PGError, and whatever MySQL and the other
# databases might eventually use.
class DatabaseError < StandardError
end


# Perhaps surprisingly, used to indicate that an user name is
# invalid.
class InvalidUserError < StandardError
end


# Used to indicate that an user does not exist on the filesystem.
class NonexistentUserError < StandardError
end


# Used to indicate that a domain does not exist on the filesystem.
class NonexistentDomainError < StandardError
end
